Unverified Commit 73dc743c authored by dependabot[bot]'s avatar dependabot[bot] Committed by GitHub
Browse files

Bump thiserror from 1.0.24 to 1.0.26 (#3592)

Bumps [thiserror](https://github.com/dtolnay/thiserror) from 1.0.24 to 1.0.26.
- [Release notes](https://github.com/dtolnay/thiserror/releases)
- [Commits](https://github.com/dtolnay/thiserror/compare/1.0.24...1.0.26

)

---
updated-dependencies:
- dependency-name: thiserror
  dependency-type: direct:production
  update-type: version-update:semver-patch
...
Signed-off-by: default avatardependabot[bot] <support@github.com>
Co-authored-by: default avatardependabot[bot] <49699333+dependabot[bot]@users.noreply.github.com>
parent 659911f6
Pipeline #151761 passed with stages
in 36 minutes and 43 seconds
......@@ -10852,18 +10852,18 @@ dependencies = [
[[package]]
name = "thiserror"
version = "1.0.24"
version = "1.0.26"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "e0f4a65597094d4483ddaed134f409b2cb7c1beccf25201a9f73c719254fa98e"
checksum = "93119e4feac1cbe6c798c34d3a53ea0026b0b1de6a120deef895137c0529bfe2"
dependencies = [
"thiserror-impl",
]
[[package]]
name = "thiserror-impl"
version = "1.0.24"
version = "1.0.26"
source = "registry+https://github.com/rust-lang/crates.io-index"
checksum = "7765189610d8241a44529806d6fd1f2e0a08734313a35d5b3a556f92b381f3c0"
checksum = "060d69a0afe7796bf42e9e2ff91f5ee691fb15c53d38b4b62a9a53eb23164745"
dependencies = [
"proc-macro2",
"quote",
......
......@@ -15,7 +15,7 @@ crate-type = ["cdylib", "rlib"]
[dependencies]
log = "0.4.13"
thiserror = "1.0.23"
thiserror = "1.0.26"
structopt = { version = "0.3.21", optional = true }
wasm-bindgen = { version = "0.2.70", optional = true }
wasm-bindgen-futures = { version = "0.4.25", optional = true }
......
......@@ -11,4 +11,4 @@ novelpoly = { package = "reed-solomon-novelpoly", version = "1.0.0" }
parity-scale-codec = { version = "2.0.0", default-features = false, features = ["std", "derive"] }
sp-core = { git = "https://github.com/paritytech/substrate", branch = "master" }
trie = { package = "sp-trie", git = "https://github.com/paritytech/substrate", branch = "master" }
thiserror = "1.0.23"
thiserror = "1.0.26"
......@@ -14,7 +14,7 @@ polkadot-node-subsystem-util = { path = "../subsystem-util" }
polkadot-primitives = { path = "../../primitives" }
sp-core = { git = "https://github.com/paritytech/substrate", branch = "master" }
sp-maybe-compressed-blob = { git = "https://github.com/paritytech/substrate", branch = "master" }
thiserror = "1.0.23"
thiserror = "1.0.26"
parity-scale-codec = { version = "2.0.0", default-features = false, features = ["bit-vec", "derive"] }
[dev-dependencies]
......
......@@ -8,7 +8,7 @@ edition = "2018"
futures = "0.3.15"
futures-timer = "3.0.2"
kvdb = "0.10.0"
thiserror = "1.0.23"
thiserror = "1.0.26"
tracing = "0.1.26"
bitvec = "0.20.1"
......
......@@ -15,7 +15,7 @@ erasure-coding = { package = "polkadot-erasure-coding", path = "../../../erasure
statement-table = { package = "polkadot-statement-table", path = "../../../statement-table" }
bitvec = { version = "0.20.1", default-features = false, features = ["alloc"] }
tracing = "0.1.26"
thiserror = "1.0.23"
thiserror = "1.0.26"
[dev-dependencies]
sp-core = { git = "https://github.com/paritytech/substrate", branch = "master" }
......
......@@ -12,7 +12,7 @@ polkadot-node-subsystem = { path = "../../subsystem" }
polkadot-node-subsystem-util = { path = "../../subsystem-util" }
sp-keystore = { git = "https://github.com/paritytech/substrate", branch = "master" }
wasm-timer = "0.2.5"
thiserror = "1.0.23"
thiserror = "1.0.26"
[dev-dependencies]
polkadot-node-subsystem-test-helpers = { path = "../../subsystem-test-helpers" }
......@@ -14,7 +14,7 @@ polkadot-node-primitives = { path = "../../primitives" }
polkadot-node-subsystem = { path = "../../subsystem" }
polkadot-node-subsystem-util = { path = "../../subsystem-util" }
kvdb = "0.10.0"
thiserror = "1.0.23"
thiserror = "1.0.26"
parity-scale-codec = "2"
[dev-dependencies]
......
......@@ -11,7 +11,7 @@ tracing = "0.1.26"
parity-scale-codec = "2"
kvdb = "0.10.0"
derive_more = "0.99.14"
thiserror = "1.0.23"
thiserror = "1.0.26"
polkadot-primitives = { path = "../../../primitives" }
polkadot-node-primitives = { path = "../../primitives" }
......
......@@ -6,7 +6,7 @@ edition = "2018"
[dependencies]
futures = "0.3.12"
thiserror = "1.0.23"
thiserror = "1.0.26"
tracing = "0.1.26"
polkadot-node-primitives = { path = "../../primitives" }
......
......@@ -8,7 +8,7 @@ edition = "2018"
futures = "0.3.15"
futures-timer = "3.0.2"
tracing = "0.1.26"
thiserror = "1.0.23"
thiserror = "1.0.26"
async-trait = "0.1.47"
polkadot-node-subsystem = { path = "../../subsystem" }
polkadot-primitives = { path = "../../../primitives" }
......
......@@ -8,7 +8,7 @@ edition = "2018"
bitvec = { version = "0.20.1", default-features = false, features = ["alloc"] }
futures = "0.3.15"
tracing = "0.1.26"
thiserror = "1.0.23"
thiserror = "1.0.26"
polkadot-primitives = { path = "../../../primitives" }
polkadot-node-subsystem = { path = "../../subsystem" }
polkadot-node-subsystem-util = { path = "../../subsystem-util" }
......
......@@ -14,6 +14,6 @@ polkadot-primitives = { path = "../../primitives" }
polkadot-node-primitives = { path = "../primitives" }
sc-network = { git = "https://github.com/paritytech/substrate", branch = "master" }
sp-core = { git = "https://github.com/paritytech/substrate", branch = "master" }
thiserror = "1.0.23"
thiserror = "1.0.26"
log = "0.4.13"
parity-scale-codec = { version = "2.0.0", default-features = false }
......@@ -18,7 +18,7 @@ polkadot-node-core-runtime-api = { path = "../../core/runtime-api" }
sp-application-crypto = { git = "https://github.com/paritytech/substrate", branch = "master" }
sp-core = { git = "https://github.com/paritytech/substrate", branch = "master", features = ["std"] }
sp-keystore = { git = "https://github.com/paritytech/substrate", branch = "master" }
thiserror = "1.0.23"
thiserror = "1.0.26"
rand = "0.8.3"
lru = "0.6.6"
......
......@@ -8,7 +8,7 @@ edition = "2018"
futures = "0.3.15"
lru = "0.6.6"
rand = "0.8.3"
thiserror = "1.0.21"
thiserror = "1.0.26"
tracing = "0.1.26"
polkadot-erasure-coding = { path = "../../../erasure-coding" }
......
......@@ -8,7 +8,7 @@ edition = "2018"
always-assert = "0.1.2"
futures = "0.3.15"
futures-timer = "3"
thiserror = "1.0.23"
thiserror = "1.0.26"
tracing = "0.1.26"
sp-core = { git = "https://github.com/paritytech/substrate", branch = "master" }
......
......@@ -19,7 +19,7 @@ sc-network = { git = "https://github.com/paritytech/substrate", branch = "master
sp-application-crypto = { git = "https://github.com/paritytech/substrate", branch = "master" }
sp-core = { git = "https://github.com/paritytech/substrate", branch = "master", features = ["std"] }
sp-keystore = { git = "https://github.com/paritytech/substrate", branch = "master" }
thiserror = "1.0.23"
thiserror = "1.0.26"
rand = "0.8.3"
lru = "0.6.6"
......
......@@ -15,4 +15,4 @@ sc-network = { git = "https://github.com/paritytech/substrate", branch = "master
sc-authority-discovery = { git = "https://github.com/paritytech/substrate", branch = "master" }
strum = { version = "0.20", features = ["derive"] }
futures = "0.3.15"
thiserror = "1.0.23"
thiserror = "1.0.26"
......@@ -19,7 +19,7 @@ polkadot-node-network-protocol = { path = "../../network/protocol" }
arrayvec = "0.5.2"
indexmap = "1.7.0"
parity-scale-codec = { version = "2.0.0", default-features = false, features = ["derive"] }
thiserror = "1.0.23"
thiserror = "1.0.26"
[dev-dependencies]
polkadot-node-subsystem-test-helpers = { path = "../../subsystem-test-helpers" }
......
......@@ -19,7 +19,7 @@ sp-keystore = { git = "https://github.com/paritytech/substrate", branch = "maste
sp-maybe-compressed-blob = { git = "https://github.com/paritytech/substrate", branch = "master" }
polkadot-parachain = { path = "../../parachain", default-features = false }
schnorrkel = "0.9.1"
thiserror = "1.0.22"
thiserror = "1.0.26"
tracing = "0.1.26"
serde = { version = "1.0.123", features = ["derive"] }
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment